# Generated by Django 3.1.7 on 2021-03-22 20:11

from django.db import migrations, models
import django.db.models.deletion
import django.utils.timezone
import payed_series.models


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('company', '0002_auto_20210127_0158'),
        ('lods', '0005_course_tags'),
    ]

    operations = [
        migrations.CreateModel(
            name='PayedSeries',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('timestamp', models.DateTimeField(auto_now_add=True)),
                ('payed', models.DateField(blank=True, default=django.utils.timezone.now, null=True)),
                ('payed_from', models.DateField(blank=True, default=django.utils.timezone.now, null=True)),
                ('payed_until', models.DateField(blank=True, default=payed_series.models.timedelta_years, null=True)),
                ('company', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='payed_series', to='company.company')),
                ('series', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='payed_series', to='lods.series')),
            ],
        ),
    ]
